/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TramoTiempoDAO;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Tramo;
import com.rjconsultores.ventaboletos.entidad.TramoTiempo;
import com.rjconsultores.ventaboletos.service.TramoTiempoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

/**
 *
 * @author Administrador
 */
@Service("tramoTiempoService")
public class TramoTiempoServiceImpl implements TramoTiempoService {

	@Autowired
	private TramoTiempoDAO tramoTiempoDAO;

    public List<TramoTiempo> obtenerTodos() {
        return tramoTiempoDAO.obtenerTodos();
    }

    public TramoTiempo obtenerID(Integer id) {
        return tramoTiempoDAO.obtenerID(id);
    }

    @Transactional
    public TramoTiempo suscribir(TramoTiempo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tramoTiempoDAO.suscribir(entidad);
    }

    @Transactional
    public TramoTiempo actualizacion(TramoTiempo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tramoTiempoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TramoTiempo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tramoTiempoDAO.actualizacion(entidad);
    }

    public List<TramoTiempo> buscarPorTramo(Tramo tramo) {
        return tramoTiempoDAO.buscarPorTramo(tramo);
    }

    public List<TramoTiempo> buscarPorTramo(Tramo tramo,ClaseServicio clase) {
        return tramoTiempoDAO.buscarPorTramo(tramo, clase);
    }

	

}
